--- /login/asabharw/lxhome/u-boot-1.1.3/post/tests.c	2005-08-13 16:53:35.000000000 -0700
+++ tests.c	2005-10-10 14:30:11.000000000 -0700
@@ -45,6 +45,7 @@
 extern int sysmon_post_test (int flags);
 extern int dsp_post_test (int flags);
 extern int codec_post_test (int flags);
+extern int memory_test_interactive(void);
 
 extern int sysmon_init_f (void);
 
@@ -58,7 +59,7 @@
 	"Cache test",
 	"cache",
 	"This test verifies the CPU cache operation.",
-	POST_RAM | POST_ALWAYS,
+	POST_POWERON | POST_RAM | POST_ALWAYS,
 	&cache_post_test,
 	NULL,
 	NULL,
@@ -113,6 +114,18 @@
 	CFG_POST_MEMORY
     },
 #endif
+#if CONFIG_POST & CFG_POST_MEMORY_INTERACTIVE
+    {
+	"Memory test interactive",
+	"memory controller",
+	"This test checks external memory controller.",
+	POST_ROM | POST_POWERON | POST_ALWAYS | POST_SLOWTEST | POST_PREREL,
+	&memory_test_interactive,
+	NULL,
+	NULL,
+	CFG_POST_MEMORY_INTERACTIVE
+    },
+#endif
 #if CONFIG_POST & CFG_POST_CPU
     {
 	"CPU test",
